Jim Weirich wrote:
> [...] Nevertheless, this should work with the recently committed
> code.
> 
> Does this work for you?

BTW, I've made a beta of these recent changes (version 0.7.1.4), 
available as:

    gem install rake --source http://onestepback.org/betagems

-- Jim Weirich